List the logged-in client's letters of authority Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/addons/pensionlab/me/letters-of-authority

For the client portal. Includes joint letters where the client is the second owner, and leaves out letters on plans the client no longer owns or that are hidden from the portal.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • sort string

    Field to sort by. Valid fields are [created_at, raised_at]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • plan_name string
      • provider_name string
      • policy_number string
      • ownership string
      • stage string
      • you_have_signed boolean
      • raised_at string
      • signed_at string
      • sent_at string
      • completed_at string
      • closed_at string
GET /api/v1/addons/pensionlab/me/letters-of-authority
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/addons/pensionlab/me/letters-of-authority' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "454a3f4f-c120-4e0e-b0eb-73268e142f44",
        "plan_name": "Aviva Pension",
        "provider_name": "Aviva",
        "policy_number": "123456/PP",
        "ownership": "single",
        "stage": "awaiting_your_signature",
        "you_have_signed": false,
        "raised_at": "2026-10-26T10:00:00+00:00",
        "signed_at": "2026-10-27T09:30:00+00:00",
        "sent_at": "2026-10-27T10:00:00+00:00",
        "completed_at": "2026-11-03T10:00:00+00:00",
        "closed_at": "2026-11-03T10:00:00+00:00"
      }
    ]
  ]
}